Newer Version Available
Get Tabs
Gets a list of all tabs—including Lightning page tabs—available to the
current user, regardless of whether the user has chosen to hide tabs via the All Tabs
(+) tab customization feature. This resource is available in REST
API version 31.0 and later.
Syntax
- URI
- /services/data/vXX.X/tabs/
- Formats
- JSON, XML
- HTTP methods
- GET
- Authentication
- Authorization: Bearer token
- Request body
- None
- Request parameters
- None
Example
- Example Request
-
1curl https://MyDomainName.my.salesforce.com/services/data/v63.0/tabs -H "Authentication: Bearer token" - Example Response Body
- This is a partial code sample, representing the Accounts
tab.
1[..., 2 "colors" : [ { 3 "color" : "6f7ccb", 4 "context" : "primary", 5 "theme" : "theme4" 6 }, { 7 "color" : "236FBD", 8 "context" : "primary", 9 "theme" : "theme3" 10 } ], 11 "custom" : false, 12 "iconUrl" : "https://MyDomainName.my.salesforce.com/img/icon/accounts32.png", 13 "icons" : [ { 14 "contentType" : "image/png", 15 "height" : 32, 16 "theme" : "theme3", 17 "url" : "https://MyDomainName.my.salesforce.com/img/icon/accounts32.png", 18 "width" : 32 19 }, { 20 "contentType" : "image/png", 21 "height" : 16, 22 "theme" : "theme3", 23 "url" : "https://MyDomainName.my.salesforce.com/img/icon/accounts16.png", 24 "width" : 16 25 }, { 26 "contentType" : "image/svg+xml", 27 "height" : 0, 28 "theme" : "theme4", 29 "url" : "https://MyDomainName.my.salesforce.com/img/icon/t4/standard/account.svg", 30 "width" : 0 31 }, { 32 "contentType" : "image/png", 33 "height" : 60, 34 "theme" : "theme4", 35 "url" : "https://MyDomainName.my.salesforce.com/img/icon/t4/standard/account_60.png", 36 "width" : 60 37 }, { 38 "contentType" : "image/png", 39 "height" : 120, 40 "theme" : "theme4", 41 "url" : "https://MyDomainName.my.salesforce.com/img/icon/t4/standard/account_120.png", 42 "width" : 120 43 } ], 44 "label" : "Accounts", 45 "miniIconUrl" : "https://MyDomainName.my.salesforce.com/img/icon/accounts16.png", 46 "name" : "standard-Account", 47 "sobjectName" : "Account", 48 "url" : "https://MyDomainName.my.salesforce.com/001/o", 49...]